2017-11-08 06:48:19

by Naresh Kamboju

[permalink] [raw]
Subject: [PATCH v3 1/2] selftests: bpf: test_kmod.sh: check the module path before insmod

From: Naresh Kamboju <[email protected]>

test_kmod.sh reported false failure when module not present.
Instead check test_bpf.ko is present in the path before loading it.

Signed-off-by: Naresh Kamboju <[email protected]>
---
tools/testing/selftests/bpf/test_kmod.sh | 8 +++++---
1 file changed, 5 insertions(+), 3 deletions(-)

diff --git a/tools/testing/selftests/bpf/test_kmod.sh b/tools/testing/selftests/bpf/test_kmod.sh
index 6d58cca8e235..2e5a1049e2f2 100755
--- a/tools/testing/selftests/bpf/test_kmod.sh
+++ b/tools/testing/selftests/bpf/test_kmod.sh
@@ -9,9 +9,11 @@ test_run()

echo "[ JIT enabled:$1 hardened:$2 ]"
dmesg -C
- insmod $SRC_TREE/lib/test_bpf.ko 2> /dev/null
- if [ $? -ne 0 ]; then
- rc=1
+ if [ -f ${SRC_TREE}/lib/test_bpf.ko ]; then
+ insmod ${SRC_TREE}/lib/test_bpf.ko 2> /dev/null
+ if [ $? -ne 0 ]; then
+ rc=1
+ fi
fi
rmmod test_bpf 2> /dev/null
dmesg | grep FAIL
--
2.14.2


From 1583460541419970691@xxx Wed Nov 08 01:47:29 +0000 2017
X-GM-THRID: 1583460541419970691
X-Gmail-Labels: Inbox,Category Forums,HistoricalUnread


2017-11-08 01:47:29

by Shuah Khan

[permalink] [raw]
Subject: Re: [PATCH v3 1/2] selftests: bpf: test_kmod.sh: check the module path before insmod

On 11/07/2017 09:35 AM, [email protected] wrote:
> From: Naresh Kamboju <[email protected]>

Odd to see this From: line in the patch. Could you take a look
and see where this is coming from? Your gitconfig perhaps.

I have to fix this up when I apply the patch which I would like
to avoid.

>
> test_kmod.sh reported false failure when module not present.
> Instead check test_bpf.ko is present in the path before loading it.
>
> Signed-off-by: Naresh Kamboju <[email protected]>
> ---
> tools/testing/selftests/bpf/test_kmod.sh | 8 +++++---
> 1 file changed, 5 insertions(+), 3 deletions(-)
>
> diff --git a/tools/testing/selftests/bpf/test_kmod.sh b/tools/testing/selftests/bpf/test_kmod.sh
> index 6d58cca8e235..2e5a1049e2f2 100755
> --- a/tools/testing/selftests/bpf/test_kmod.sh
> +++ b/tools/testing/selftests/bpf/test_kmod.sh
> @@ -9,9 +9,11 @@ test_run()
>
> echo "[ JIT enabled:$1 hardened:$2 ]"
> dmesg -C
> - insmod $SRC_TREE/lib/test_bpf.ko 2> /dev/null
> - if [ $? -ne 0 ]; then
> - rc=1
> + if [ -f ${SRC_TREE}/lib/test_bpf.ko ]; then
> + insmod ${SRC_TREE}/lib/test_bpf.ko 2> /dev/null

Hmm. Are you sure SRC_TREE is defined in all use-cases? What happens
when "cd tools/testing/selftests/bpf; make run_tests" is run?


> + if [ $? -ne 0 ]; then
> + rc=1
> + fi
> fi
> rmmod test_bpf 2> /dev/null
> dmesg | grep FAIL
>

thanks,
-- Shuah

From 1583358331236833726@xxx Mon Nov 06 22:42:54 +0000 2017
X-GM-THRID: 1583358331236833726
X-Gmail-Labels: Inbox,Category Forums,HistoricalUnread